ninja_required_version = 1.3
cxx = c++
nvcc = /opt/dtk-22.10/bin/hipcc

cflags = -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wall -fPIC -DWITH_CUDA -I/root/maskrcnn/maskrcnn_benchmark/csrc -I/usr/local/lib/python3.7/site-packages/torch/include -I/usr/local/lib/python3.7/site-packages/torch/include/torch/csrc/api/include -I/usr/local/lib/python3.7/site-packages/torch/include/TH -I/usr/local/lib/python3.7/site-packages/torch/include/THC -I/usr/local/lib/python3.7/site-packages/torch/include/THH -I/opt/dtk-22.10/include -I/opt/dtk-22.10/miopen/include -I/usr/local/include/python3.7m -c
post_cflags = -fPIC -D__HIP_PLATFORM_HCC__=1 -DTORCH_API_INCLUDE_EXTENSION_H '-DPYBIND11_COMPILER_TYPE="_gcc"' '-DPYBIND11_STDLIB="_libstdcpp"' '-DPYBIND11_BUILD_ABI="_cxxabi1011"' -DTORCH_EXTENSION_NAME=_C -D_GLIBCXX_USE_CXX11_ABI=0 -std=c++14
cuda_cflags = -DWITH_CUDA -I/root/maskrcnn/maskrcnn_benchmark/csrc -I/usr/local/lib/python3.7/site-packages/torch/include -I/usr/local/lib/python3.7/site-packages/torch/include/torch/csrc/api/include -I/usr/local/lib/python3.7/site-packages/torch/include/TH -I/usr/local/lib/python3.7/site-packages/torch/include/THC -I/usr/local/lib/python3.7/site-packages/torch/include/THH -I/opt/dtk-22.10/include -I/opt/dtk-22.10/miopen/include -I/usr/local/include/python3.7m -c
cuda_post_cflags = -fPIC -D__HIP_PLATFORM_HCC__=1 -DCUDA_HAS_FP16=1 -D__HIP_NO_HALF_OPERATORS__=1 -D__HIP_NO_HALF_CONVERSIONS__=1 -DTORCH_API_INCLUDE_EXTENSION_H '-DPYBIND11_COMPILER_TYPE="_gcc"' '-DPYBIND11_STDLIB="_libstdcpp"' '-DPYBIND11_BUILD_ABI="_cxxabi1011"' -DTORCH_EXTENSION_NAME=_C -D_GLIBCXX_USE_CXX11_ABI=0 --amdgpu-target=gfx900 --amdgpu-target=gfx906 -fno-gpu-rdc -std=c++14
ldflags = 

rule compile
  command = $cxx -MMD -MF $out.d $cflags -c $in -o $out $post_cflags
  depfile = $out.d
  deps = gcc

rule cuda_compile
  command = $nvcc  $cuda_cflags -c $in -o $out $cuda_post_cflags



build /root/maskrcnn/build/temp.linux-x86_64-3.7/root/maskrcnn/maskrcnn_benchmark/csrc/hip/match_proposals.o: cuda_compile /root/maskrcnn/maskrcnn_benchmark/csrc/hip/match_proposals.hip
build /root/maskrcnn/build/temp.linux-x86_64-3.7/root/maskrcnn/maskrcnn_benchmark/csrc/hip/rpn_generate_proposals_batched.o: cuda_compile /root/maskrcnn/maskrcnn_benchmark/csrc/hip/rpn_generate_proposals_batched.hip
build /root/maskrcnn/build/temp.linux-x86_64-3.7/root/maskrcnn/maskrcnn_benchmark/csrc/hip/anchor_generator.o: cuda_compile /root/maskrcnn/maskrcnn_benchmark/csrc/hip/anchor_generator.hip
build /root/maskrcnn/build/temp.linux-x86_64-3.7/root/maskrcnn/maskrcnn_benchmark/csrc/vision_hip.o: compile /root/maskrcnn/maskrcnn_benchmark/csrc/vision_hip.cpp
build /root/maskrcnn/build/temp.linux-x86_64-3.7/root/maskrcnn/maskrcnn_benchmark/csrc/hip/nms_batched.o: cuda_compile /root/maskrcnn/maskrcnn_benchmark/csrc/hip/nms_batched.hip
build /root/maskrcnn/build/temp.linux-x86_64-3.7/root/maskrcnn/maskrcnn_benchmark/csrc/hip/generate_mask_targets.o: cuda_compile /root/maskrcnn/maskrcnn_benchmark/csrc/hip/generate_mask_targets.hip
build /root/maskrcnn/build/temp.linux-x86_64-3.7/root/maskrcnn/maskrcnn_benchmark/csrc/hip/nms.o: cuda_compile /root/maskrcnn/maskrcnn_benchmark/csrc/hip/nms.hip
build /root/maskrcnn/build/temp.linux-x86_64-3.7/root/maskrcnn/maskrcnn_benchmark/csrc/hip/rpn_generate_proposals.o: cuda_compile /root/maskrcnn/maskrcnn_benchmark/csrc/hip/rpn_generate_proposals.hip
build /root/maskrcnn/build/temp.linux-x86_64-3.7/root/maskrcnn/maskrcnn_benchmark/csrc/hip/box_iou.o: cuda_compile /root/maskrcnn/maskrcnn_benchmark/csrc/hip/box_iou.hip
build /root/maskrcnn/build/temp.linux-x86_64-3.7/root/maskrcnn/maskrcnn_benchmark/csrc/cpu/nms_cpu.o: compile /root/maskrcnn/maskrcnn_benchmark/csrc/cpu/nms_cpu.cpp
build /root/maskrcnn/build/temp.linux-x86_64-3.7/root/maskrcnn/maskrcnn_benchmark/csrc/hip/box_encode.o: cuda_compile /root/maskrcnn/maskrcnn_benchmark/csrc/hip/box_encode.hip
build /root/maskrcnn/build/temp.linux-x86_64-3.7/root/maskrcnn/maskrcnn_benchmark/csrc/hip/SigmoidFocalLoss_hip.o: cuda_compile /root/maskrcnn/maskrcnn_benchmark/csrc/hip/SigmoidFocalLoss_hip.hip
build /root/maskrcnn/build/temp.linux-x86_64-3.7/root/maskrcnn/maskrcnn_benchmark/csrc/hip/ROIAlign_hip.o: cuda_compile /root/maskrcnn/maskrcnn_benchmark/csrc/hip/ROIAlign_hip.hip
build /root/maskrcnn/build/temp.linux-x86_64-3.7/root/maskrcnn/maskrcnn_benchmark/csrc/hip/ROIPool_hip.o: cuda_compile /root/maskrcnn/maskrcnn_benchmark/csrc/hip/ROIPool_hip.hip
build /root/maskrcnn/build/temp.linux-x86_64-3.7/root/maskrcnn/maskrcnn_benchmark/csrc/cpu/ROIAlign_cpu.o: compile /root/maskrcnn/maskrcnn_benchmark/csrc/cpu/ROIAlign_cpu.cpp





